%global plugin_name branch-api

Summary:    Provides an API for multiple branch based projects
Name:       jenkins-plugin-%{plugin_name}
Version:    2.0.9
Release:    10%{?dist}
License:    MIT
URL:        https://wiki.jenkins-ci.org/display/JENKINS/Branch+Api+Plugin
# AltURL:   https://github.com/jenkinsci/branch-api-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.651.2
Requires:   jenkins-plugin-structs
Requires:   jenkins-plugin-scm-api
Requires:   jenkins-plugin-cloudbees-folder

%description
This plugin provides an API for multiple branch based projects.


%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Sun Jul 09 2017 Sam Munilla+smunilla@redhat.com--comment=Update to 2.0.9 - 2.0.9-10
- rebuilt

* Fri May 12 2017 Troy Dawson <tdawson@redhat.com> - 2.0.9-1
- Update to 2.0.9

* Mon Mar 13 2017 Troy Dawson <tdawson@redhat.com> - 2.0.8-1
- Update to 2.0.8

* Mon Feb 06 2017 Troy Dawson <tdawson@redhat.com> - 2.0.2-1
- Update to 2.0.2

* Mon Nov 21 2016 Troy Dawson <tdawson@redhat.com> - 1.11.1-1
- Update to latest version

* Tue Jun 14 2016 Troy Dawson <tdawson@redhat.com> - 1.10-1
- Initial package
